Initiate a premium payment (M-Pesa STK push)
curl --request POST \
--url https://app.microcrop.app/api/payments/initiate \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"reference": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"phoneNumber": "+254712345678"
}
'import requests
url = "https://app.microcrop.app/api/payments/initiate"
payload = {
"reference": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"amount": 123,
"phoneNumber": "+254712345678"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
reference: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
amount: 123,
phoneNumber: '+254712345678'
})
};
fetch('https://app.microcrop.app/api/payments/initiate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"transactionId": "<string>",
"reference": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderId": "<string>",
"provider": "<string>",
"status": "PENDING",
"instructions": "<string>"
}
}{
"success": false,
"error": {
"code": "INVALID_INPUT",
"message": "<string>",
"details": "<unknown>"
}
}{
"success": false,
"error": {
"code": "INVALID_INPUT",
"message": "<string>",
"details": "<unknown>"
}
}Payments
Initiate a premium payment (M-Pesa STK push)
Rate limited to 10 requests/hour. reference is the policy id (policyId is accepted as a legacy alias; if both are sent they must match). TIER-GATED: on a policy whose frozen settlementMode is DETERMINATION this returns 403 TIER_NOT_ENTITLED before any transaction row is written and before any STK push is sent — use PUT /policies//activate instead.
POST
/
payments
/
initiate
Initiate a premium payment (M-Pesa STK push)
Authorizations
Body
application/json